scala.util.parsing.combinator.syntactical
trait StdTokenParsers

[source: `scala/util/parsing/combinator/syntactical/StdTokenParsers.scala`]

`` `trait` StdTokenParsers
  `extends` TokenParsers

  This component provides primitive parsers for the standard tokens defined in `StdTokens'.

Author
  Martin Odersky, Adriaan Moors

Direct Known Subclasses:
  Parser

Type Summary
`abstract type` | Tokens <: StdTokens Tokens is the abstract type of the `Token's consumed by the parsers in this component

Values and Variables inherited from TokenParsers
lexical (abstract)

Method Summary
`def` | ident : Parser[String] A parser which matches an identifier
`implicit def` | keyword (chars : String) : UnitParser A parser which matches a single keyword token.
`def` | numericLit : Parser[String] A parser which matches a numeric literal
`def` | stringLit : Parser[String] A parser which matches a string literal

Methods inherited from TokenParsers
phrase

Methods inherited from Parsers
commit, commit, not, elem, elem, accept, accept, accept, failure, fail, success, success, discard, log, log, rep, rep, repsep, rep1, rep1, repN, rep1, repN, rep1sep, rep1sep, chainl1, chainl1, chainr1, opt, opt, positioned, positioned

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Type Details

`abstract` `type` Tokens <: StdTokens

  Tokens is the abstract type of the `Token's consumed by the parsers in this component

Method Details

`implicit` `def` keyword(chars : String) : UnitParser

  A parser which matches a single keyword token.

Parameters
  `chars -` The character string making up the matched keyword.
Returns
  a `UnitParser' that matches the given string

`` `def` numericLit : Parser[String]

  A parser which matches a numeric literal

`` `def` stringLit : Parser[String]

  A parser which matches a string literal

`` `def` ident : Parser[String]

  A parser which matches an identifier